#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	qps
Version		:	2.8.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Qt Process Manager

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://github.com/lxqt/qps/releases


Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	liblxqt
BuildRequires	:	kf5-kwindowsystem-devel

#-----------------------------------------------------------------------------
%description
'%{name}' is a monitor that displays the status of the processes
currently in existence, much like top(1) or ps(1).  The user interface
uses the Qt toolkit, and most operations should be fairly intuitive.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_datadir}/metainfo/org.lxqt.Qps.appdata.xml
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-S .						\
	-DCMAKE_BUILD_TYPE="Release"			\
	-DCMAKE_INSTALL_PREFIX=%{_prefix}		\
	-DCMAKE_INSTALL_LIBDIR=%{_libdir}		\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
